Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface IMultithreadedChannel

All Known Subinterfaces:
  IMultithreadedCharacterChannel

All Known Implementing Classes:
  BaseMultithreadedChannel, CApplet, CGenericXSLT, CGroupsManager, CImage, CInlineFrame, CPersonAttributes, CPortletAdapter, CWebProxy

Deprecated. Use the IChannel* interfaces instead or write a portlet. For more information see: http://www.ja-sig.org/wiki/display/UPC/Proposal+to+Deprecate+IMultithreaded+Interfaces

    public interface IMultithreadedChannel

An interface for multithreaded channels. Multithreaded channels are trusted to keep their own state/session/user separation (instead of relying on the servlet engine to do so). The methods are exact analogs of those in `IChannel` interface, but means to identify the channel instance are passed along with each method. Please refer to `IChannel` interface for method descriptions.

Version:
  $Revision: 1.3.4.1 $
Author:
  Peter Kharchenko pkharchenko@interactivebusiness.com
See Also:
  `IChannel`, `IMultithreadedCacheable`

Method Summary
`ChannelRuntimeProperties` | `getRuntimeProperties(java.lang.String uid)` Deprecated.
`void` | `receiveEvent(PortalEvent ev, java.lang.String uid)` Deprecated.
`void` | `renderXML(org.xml.sax.ContentHandler out, java.lang.String uid)` Deprecated.
`void` | `setRuntimeData(ChannelRuntimeData rd, java.lang.String uid)` Deprecated.
`void` | `setStaticData(ChannelStaticData sd, java.lang.String uid)` Deprecated.

Method Detail

### setStaticData

    void setStaticData(ChannelStaticData sd,
                       java.lang.String uid)
                       throws PortalException

  Deprecated.
  Parameters:
    `uid` - a string uniqly identifying a channel "instance" in the system. For example, a combination of session id and channel instance id would fit the bill.
  Throws:
    `PortalException`

### setRuntimeData

    void setRuntimeData(ChannelRuntimeData rd,
                        java.lang.String uid)
                        throws PortalException

  Deprecated.
  Throws:
    `PortalException`

### receiveEvent

    void receiveEvent(PortalEvent ev,
                      java.lang.String uid)

  Deprecated.

### getRuntimeProperties

    ChannelRuntimeProperties getRuntimeProperties(java.lang.String uid)

  Deprecated.

### renderXML

    void renderXML(org.xml.sax.ContentHandler out,
                   java.lang.String uid)
                   throws PortalException

  Deprecated.
  Throws:
    `PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD